/*
 *  ofxSOADSR.cpp
 *  openFrameworks
 *
 *  Created by base on 10/27/08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

#include "ofxSOADSR.h"

ofxSOADSR::ofxSOADSR(){}
ofxSOADSR::~ofxSOADSR(){}
	
void ofxSOADSR::init(ofxSndObj* parent, float attack, float maxamp, float decay, float sustain, float release, float duration)
{
	sndobj = parent;
	key = sndobj->createADSR(attack, maxamp, decay, sustain, release, duration);
}
void ofxSOADSR::init(ofxSndObj* parent, float attack, float maxamp, float decay, float sustain, float release, float duration, ofxBaseSndObj inObject, int type)
{
	sndobj = parent;
	key = sndobj->createADSR(attack, maxamp, decay, sustain, release, duration, inObject, type);
}
	
void ofxSOADSR::setMaximumAmplitude(float maxamp)
{
	 sndobj->tuneADSRMaxAmp(key, maxamp);
}
void ofxSOADSR::setADSRParams(float attack, float decay, float sustain, float release)
{
	sndobj->tuneADSR(key, attack, decay, sustain, release);
}
void ofxSOADSR::setDuration(float duration)
{
	sndobj->tuneADSRDuration(key, duration);
}

void ofxSOADSR::sustain()
{
	sndobj->adsrSustain(key);
}

